
package net.mcreator.newsteel.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.AxeItem;

import net.mcreator.newsteel.NewSteelModElements;

@NewSteelModElements.ModElement.Tag
public class BattleAxeItem extends NewSteelModElements.ModElement {
	@ObjectHolder("new_steel:battle_axe")
	public static final Item block = null;
	public BattleAxeItem(NewSteelModElements instance) {
		super(instance, 29);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new AxeItem(new IItemTier() {
			public int getMaxUses() {
				return 660;
			}

			public float getEfficiency() {
				return 10f;
			}

			public float getAttackDamage() {
				return 4.5f;
			}

			public int getHarvestLevel() {
				return 4;
			}

			public int getEnchantability() {
				return 14;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(SteelIngotItem.block, (int) (1)), new ItemStack(BattleAxeItem.block, (int) (1)));
			}
		}, 1, -2.6f, new Item.Properties().group(ItemGroup.TOOLS)) {
		}.setRegistryName("battle_axe"));
	}
}
